libzypp 17.37.10

RpmHeader.cc File Reference
`#include "librpm.h"`
`#include <cstring>`
`#include <zypp/AutoDispose.h>`
`#include <pwd.h>`
`#include <grp.h>`
`#include <iostream>`
`#include <map>`
`#include <set>`
`#include <vector>`
`#include <zypp/base/Easy.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/Package.h>`
`#include <zypp/PathInfo.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm

## Functions
int | unameToUid (const char *thisUname, uid_t *uid)
int | gnameToGid (const char *thisGname, gid_t *gid)

## Function Documentation

## ◆ unameToUid()

int unameToUid | ( | const char * | thisUname,
|  | uid_t * | uid )

Definition at line 33 of file RpmHeader.cc.

## ◆ gnameToGid()

int gnameToGid | ( | const char * | thisGname,
|  | gid_t * | gid )

Definition at line 83 of file RpmHeader.cc.